******************************************************************************
*
*       Function:   ATOI
*       Usage:      val = atoi (str)
*       Purpose:    This procedure is used to convert a string of
*                   digits into a number using base 10.
*       Output:     The function value is the integer corresponding to the
*                   string of digits passed.
*
******************************************************************************

        integer function atoi (str)
            implicit none

            character*(*) str
            integer i, dummy, dec
            character ch, buf(1:4), nstr*80
            equivalence (dummy, buf(1))
 
            i = 1
            dummy = 0
            nstr = str // ' '
            dec = 0
            do while (nstr(i:i) .ge. '0' .and. nstr(i:i) .le. '9')
                buf(1) = nstr(i:i)
                dec = (dec * 10) + (dummy - 48)
                i = i + 1
            end do

            atoi = dec
        end
